﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace TabPage
{
   public class ChartSample : ContentPage
    {
        ObservableCollection<ChartDataPoint> Datapoints;
        SfChart chart;
        public ChartSample()
        {
           
            chart = new SfChart();

            Datapoints = new ObservableCollection<ChartDataPoint>();
            Datapoints.Add(new ChartDataPoint(new DateTime(2001, 1, 1), 20));
            Datapoints.Add(new ChartDataPoint(new DateTime(2002, 1, 1), 25));
            Datapoints.Add(new ChartDataPoint(new DateTime(2003, 1, 1), 30));
            Datapoints.Add(new ChartDataPoint(new DateTime(2004, 1, 1), 25));
            Datapoints.Add(new ChartDataPoint(new DateTime(2005, 1, 1), 10));
            Datapoints.Add(new ChartDataPoint(new DateTime(2006, 1, 1), 20));

            DateTimeAxis primaryAxis = new DateTimeAxis();
            primaryAxis.EdgeLabelsVisibilityMode = EdgeLabelsVisibilityMode.AlwaysVisible;
            chart.PrimaryAxis = primaryAxis;

            NumericalAxis secondaryAxis = new NumericalAxis();
          
            chart.SecondaryAxis = secondaryAxis;

            LineSeries series = new LineSeries();
            series.ItemsSource = Datapoints;
            chart.Series.Add(series);
        
            Content = chart;
        }
    }
}
